Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Data Fields
Lucene::DocumentsWriterThreadState Class Reference

Used by DocumentsWriter to maintain per-thread state. We keep a separate Posting hash and other state for each thread and then merge postings hashes from all threads when writing the segment. More...

`#include <DocumentsWriterThreadState.h>`

Inheritance diagram for Lucene::DocumentsWriterThreadState:

## Public Member Functions

| DocumentsWriterThreadState (const DocumentsWriterPtr &docWriter)
virtual | ~DocumentsWriterThreadState ()
virtual String | getClassName ()
boost::shared_ptr< DocumentsWriterThreadState > | shared_from_this ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
void | doAfterFlush ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Data Fields

bool | isIdle
int32_t | numThreads
bool | doFlushAfter
DocConsumerPerThreadPtr | consumer
DocStatePtr | docState
DocumentsWriterWeakPtr | _docWriter

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Detailed Description

Used by DocumentsWriter to maintain per-thread state. We keep a separate Posting hash and other state for each thread and then merge postings hashes from all threads when writing the segment.

## Constructor & Destructor Documentation

## ◆ DocumentsWriterThreadState()

Lucene::DocumentsWriterThreadState::DocumentsWriterThreadState | ( | const DocumentsWriterPtr & | docWriter | ) |

Referenced by _getClassName().

## ◆ ~DocumentsWriterThreadState()

virtual Lucene::DocumentsWriterThreadState::~DocumentsWriterThreadState | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

String Lucene::DocumentsWriterThreadState::_getClassName | ( |  | ) |

inline static

References DocumentsWriterThreadState().

## ◆ doAfterFlush()

void Lucene::DocumentsWriterThreadState::doAfterFlush | ( |  | ) |

## ◆ getClassName()

virtual String Lucene::DocumentsWriterThreadState::getClassName | ( |  | ) |

inline virtual

## ◆ initialize()

virtual void Lucene::DocumentsWriterThreadState::initialize | ( |  | ) |

virtual

Called directly after instantiation to create objects that depend on this object being fully constructed.

Reimplemented from Lucene::LuceneObject.

## ◆ shared_from_this()

boost::shared_ptr< DocumentsWriterThreadState > Lucene::DocumentsWriterThreadState::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ _docWriter

DocumentsWriterWeakPtr Lucene::DocumentsWriterThreadState::_docWriter

## ◆ consumer

DocConsumerPerThreadPtr Lucene::DocumentsWriterThreadState::consumer

## ◆ docState

DocStatePtr Lucene::DocumentsWriterThreadState::docState

## ◆ doFlushAfter

bool Lucene::DocumentsWriterThreadState::doFlushAfter

## ◆ isIdle

bool Lucene::DocumentsWriterThreadState::isIdle

## ◆ numThreads

int32_t Lucene::DocumentsWriterThreadState::numThreads

The documentation for this class was generated from the following file:

- DocumentsWriterThreadState.h

clucene.sourceforge.net